For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • HEADLESS APPLE PAY API
    • End Points
    • POSTTransaction Session API
    • POSTTransaction Process API
    • GETTransaction Request Status API
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
HEADLESS APPLE PAY API

Transaction Process API

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/transaction-session/request/:requestId/process
POST
/api/v2/transaction-session/request/:requestId/process
$curl -X POST https://api-gateway-stg.transak.com/api/v2/transaction-session/request//process \
> -H "x-access-token: " \
> -H "authorization: " \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "orderId": "e053ef3e-2b89-4fa6-9679-89f1fe39625",
4 "status": "AWAITING_PAYMENT_FROM_USER",
5 "isBuyOrSell": "BUY",
6 "fiatCurrency": "USD",
7 "cryptoCurrency": "ETH",
8 "paymentMethod": "apple_pay",
9 "network": "ethereum",
10 "fiatAmount": 20,
11 "fiatAmountInUsd": 20,
12 "cryptoAmount": 0.00812345,
13 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6ffcb389966",
14 "networkId": "1",
15 "walletAddress": "0xABCDEF1234567890abcdef1234567890ABCDEF12",
16 "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285",
17 "amountPaid": 0,
18 "conversionPrice": 0.000406172,
19 "totalFeeInFiat": 1.5,
20 "txHash": null
21 }
22}
Was this page helpful?
Previous

Transaction Session API

Next

Transaction Request Status API

Built with

Path parameters

requestIdstringRequired
Transaction session request identifier.

Headers

x-access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is applicable for Headless Apple Pay(with Auth and KYC) Flow

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable for Headless Apple Pay(with Auth Reliance and KYC) Flow

Request

This endpoint expects an object.

Response

Success
dataobject
Order details returned after processing the Apple Pay transaction session.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error